Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkRectilinearGridOutlineFilter Class Reference

`#include <vtkRectilinearGridOutlineFilter.h>`

Inheritance diagram for vtkRectilinearGridOutlineFilter:

[legend]
Collaboration diagram for vtkRectilinearGridOutlineFilter:

[legend]
List of all members.

## Detailed Description

create wireframe outline for a rectilinear grid.

Date:
  2002/08/12 15:20:30

Revision:
  1.2

vtkRectilinearGridOutlineFilter works in parallel. There is no reason. to use this filter if you are not breaking the processing into pieces. With one piece you can simply use vtkOutlineFilter. This filter ignores internal edges when the extent is not the whole extent.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (92%)
  - Cedilnik, Andy (7%)

CVS logs (CVSweb):
  - .`h` (`/Parallel/vtkRectilinearGridOutlineFilter.h)`
  - .`cxx` (`/Parallel/vtkRectilinearGridOutlineFilter.cxx)`

Tests:
  vtkRectilinearGridOutlineFilter (Tests)

Definition at line 47 of file vtkRectilinearGridOutlineFilter.h.

## Public Types
typedef vtkRectilinearGridToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
vtkRectilinearGridOutlineFilter * | New ()
int | IsTypeOf (const char *type)
vtkRectilinearGridOutlineFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkRectilinearGridOutlineFilter ()
| ~vtkRectilinearGridOutlineFilter ()
void | Execute ()
void | ExecuteInformation ()

## Member Typedef Documentation

typedef vtkRectilinearGridToPolyDataFilter vtkRectilinearGridOutlineFilter::Superclass

| Reimplemented from vtkRectilinearGridToPolyDataFilter. Definition at line 51 of file vtkRectilinearGridOutlineFilter.h.

## Constructor & Destructor Documentation

vtkRectilinearGridOutlineFilter::vtkRectilinearGridOutlineFilter | ( |  | ) | `[inline, protected]`

| Definition at line 55 of file vtkRectilinearGridOutlineFilter.h.

vtkRectilinearGridOutlineFilter::~vtkRectilinearGridOutlineFilter | ( |  | ) | `[inline, protected]`

| Definition at line 56 of file vtkRectilinearGridOutlineFilter.h.

## Member Function Documentation

vtkRectilinearGridOutlineFilter* vtkRectilinearGridOutlineFilter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkRectilinearGridOutlineFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkRectilinearGridToPolyDataFilter.

int vtkRectilinearGridOutlineFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkRectilinearGridToPolyDataFilter.

virtual int vtkRectilinearGridOutlineFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkRectilinearGridToPolyDataFilter.

vtkRectilinearGridOutlineFilter* vtkRectilinearGridOutlineFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkRectilinearGridToPolyDataFilter.

virtual void vtkRectilinearGridOutlineFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkRectilinearGridToPolyDataFilter.

void vtkRectilinearGridOutlineFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkRectilinearGridOutlineFilter::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

The documentation for this class was generated from the following file:

- Parallel/vtkRectilinearGridOutlineFilter.h